package com.jianshui.income.domain.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-定时任务(查询结果)对象 income_invoice_auth_query_result
 *
 * @author jianshui
 * @date 2022-09-05
 */
public class IncomeInvoiceAuthQueryResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 批次号 */
    @Excel(name = "批次号")
    private String pch;

    /** 发起类型 */
    @Excel(name = "发起类型")
    private String initationType;

    /** 发起时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发起时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date initationTime;

    /** 发起状态-是否取得结果 */
    @Excel(name = "发起状态-是否取得结果")
    private String initationStatus;

    /** 税号 */
    @Excel(name = "税号")
    private String gmfsbh;

    /** 企业id */
    @Excel(name = "企业id")
    private String identity;

    /** 税号 */
    @Excel(name = "税号")
    private String taxno;

    /** 查询次数 */
    @Excel(name = "查询次数")
    private Long initationNum;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setPch(String pch)
    {
        this.pch = pch;
    }

    public String getPch()
    {
        return pch;
    }
    public void setInitationType(String initationType)
    {
        this.initationType = initationType;
    }

    public String getInitationType()
    {
        return initationType;
    }
    public void setInitationTime(Date initationTime)
    {
        this.initationTime = initationTime;
    }

    public Date getInitationTime()
    {
        return initationTime;
    }
    public void setInitationStatus(String initationStatus)
    {
        this.initationStatus = initationStatus;
    }

    public String getInitationStatus()
    {
        return initationStatus;
    }
    public void setGmfsbh(String gmfsbh)
    {
        this.gmfsbh = gmfsbh;
    }

    public String getGmfsbh()
    {
        return gmfsbh;
    }
    public void setIdentity(String identity)
    {
        this.identity = identity;
    }

    public String getIdentity()
    {
        return identity;
    }
    public void setTaxno(String taxno)
    {
        this.taxno = taxno;
    }

    public String getTaxno()
    {
        return taxno;
    }
    public void setInitationNum(Long initationNum)
    {
        this.initationNum = initationNum;
    }

    public Long getInitationNum()
    {
        return initationNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pch", getPch())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("initationType", getInitationType())
            .append("initationTime", getInitationTime())
            .append("initationStatus", getInitationStatus())
            .append("gmfsbh", getGmfsbh())
            .append("identity", getIdentity())
            .append("taxno", getTaxno())
            .append("initationNum", getInitationNum())
            .toString();
    }
}
